/*@tailwind base;*/
@tailwind components;
@tailwind utilities;

@layer components {
  html {
    font-family: "Inter", system-ui, sans-serif;
  }
}

:root {
  --color-gray: #3b4143;
}

/*--------REST STYLES--------*/

* {
  box-sizing: border-box;
  margin-block-start: 0px;
  margin-block-end: 0px;
}

ul {
  list-style: none;
  padding-inline-start: 0px;
}

body {
  margin: 0;
}

.ant-drawer .ant-drawer-header {
  border-bottom: none;
}

/*--------STYLES FOR BUTTONS--------*/

.ant-btn {
  font-size: 16px;
  font-weight: normal;
}

/*HOVER STATE*/
.ant-btn-primary:not(:disabled):not(.ant-btn-disabled):hover {
  /*for icons*/
  fill: #fff;

  /*For buttons*/
  color: #fff;
  background-color: var(--color-gray);
}

.ant-btn-default:not(:disabled):not(.ant-btn-disabled):hover {
  color: var(--color-gray);
  background-color: #fff;
  border-color: var(--color-gray);
}

.ant-btn-primary:disabled {
  background-color: #cfcfcf;
  font-weight: 500;
  font-size: 16px;
  color: var(--color-gray);
}

/*--------STYLES FOR ICON BUTTONS--------*/

.ant-btn.ant-btn-circle {
  min-width: 36px;
}
